curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "oura",
"client_id": "<string>",
"client_secret": "<string>",
"details": {
"fitbit": {
"is_hr_enabled": true,
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>"
}
}
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "oura",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"client_secret_hash": "<string>",
"details": {
"fitbit": {
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>",
"is_hr_enabled": false,
"foods_verify_token": "<string>"
}
},
"app_url": "<string>",
"redirect_url_override": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Custom Credentials
Set Team Custom Credentials
Post org team custom credentials via the Junction API. Requires authentication with your team API key.
POST
/
v1
/
org
/
{org_id}
/
team_custom_credentials
/
{env}
/
{region}
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "oura",
"client_id": "<string>",
"client_secret": "<string>",
"details": {
"fitbit": {
"is_hr_enabled": true,
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>"
}
}
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "oura",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"client_secret_hash": "<string>",
"details": {
"fitbit": {
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>",
"is_hr_enabled": false,
"foods_verify_token": "<string>"
}
},
"app_url": "<string>",
"redirect_url_override": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.OAuth Providers
Bring Your Own OAuth (BYOO) is available for the Grow and Scale plans.
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "oura",
"client_id": "<string>",
"client_secret": "<string>",
"details": {
"fitbit": {
"is_hr_enabled": true,
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>"
}
}
}'
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Body
application/json
provider
Providers · enum<string>Labs · enum<string>LabsProviders · enum<string>AppointmentProvider · enum<string>
required
Available options:
oura, fitbit, garmin, whoop, strava, renpho, peloton, wahoo, zwift, freestyle_libre, abbott_libreview, tandem_source, freestyle_libre_ble, eight_sleep, withings, apple_health_kit, manual, ihealth, google_fit, beurer_api, beurer_ble, omron, omron_ble, onetouch_ble, accuchek_ble, contour_ble, dexcom, dexcom_v3, hammerhead, my_fitness_pal, health_connect, samsung_health, polar, cronometer, kardia, whoop_v2, ultrahuman, my_fitness_pal_v2, map_my_fitness, runkeeper, google_health - FitbitTeamProviderDetails
- GoogleFitTeamProviderDetails
- GoogleHealthTeamProviderDetails
- BioReferenceProviderDetails
- LabCorpTeamProviderDetails
- QuestProviderDetails
- PolarTeamProviderDetails
- GetLabsTeamProviderDetails
- PhlebFindersTeamProviderDetails
- LabcorpProviderDetails
- MyFitnessPalV2TeamProviderDetails
Show child attributes
Show child attributes
Response
Successful Response
source
Providers · enum<string>Labs · enum<string>LabsProviders · enum<string>AppointmentProvider · enum<string>
required
Available options:
oura, fitbit, garmin, whoop, strava, renpho, peloton, wahoo, zwift, freestyle_libre, abbott_libreview, tandem_source, freestyle_libre_ble, eight_sleep, withings, apple_health_kit, manual, ihealth, google_fit, beurer_api, beurer_ble, omron, omron_ble, onetouch_ble, accuchek_ble, contour_ble, dexcom, dexcom_v3, hammerhead, my_fitness_pal, health_connect, samsung_health, polar, cronometer, kardia, whoop_v2, ultrahuman, my_fitness_pal_v2, map_my_fitness, runkeeper, google_health - FitbitTeamProviderDetails
- GoogleFitTeamProviderDetails
- GoogleHealthTeamProviderDetails
- BioReferenceProviderDetails
- LabCorpTeamProviderDetails
- QuestProviderDetails
- PolarTeamProviderDetails
- GetLabsTeamProviderDetails
- PhlebFindersTeamProviderDetails
- LabcorpProviderDetails
- MyFitnessPalV2TeamProviderDetails
Show child attributes
Show child attributes
Related topics
Create Org Prepare Team Custom CredentialsAPIStravaBring Your Own OAuthSharing CredentialsWas this page helpful?